version: "3"
services:
  mariadb:
    image: lscr.io/linuxserver/mariadb:latest
    container_name: bookstack_mariadb
    restart: unless-stopped
    volumes:
      - /gurulandia/data/docker/bookstack/db:/config
    environment:
      - MYSQL_ROOT_PASSWORD=SuperPassword
      - MYSQL_DATABASE=bookstack
      - MYSQL_USER=bookstack
      - MYSQL_PASSWORD=bookstack
      - PGID=1000
      - PUID=1000
      - TZ=Europe/Helsinki
  adminer:
    image: adminer:latest
    container_name: adminer_bs
    environment:
      ADMINER_DEFAULT_SERVER: mariadb_bs
    restart: unless-stopped
    ports:
      - 7778:8080
  bookstack:
    image: linuxserver/bookstack:latest
    container_name: bookstack
    restart: unless-stopped
    depends_on:
      - mariadb
    volumes:
      - /gurulandia/data/docker/bookstack/config:/config
    environment:
      - DB_HOST=mariadb:3306
      - DB_USER=bookstack
      - DB_PASS=bookstack
      - DB_DATABASE=bookstack
      #- DB_PORT=3306
      - PGID=1000
      - PUID=1000
      - TZ=Europe/Helsinki
      #- APP_URL=http://test-bookstack.gurulandia.fi
      - APP_URL=http://192.168.99.63:53001     
    ports:
      - 53001:80